/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2002 Ian Zimmerman <itz@speakeasy.org> */

#ifndef INCLUDE_SEARCH_DIALOG_HH
#define INCLUDE_SEARCH_DIALOG_HH

/* $Id: search_dialog.hh,v 1.1 2002/09/09 18:30:39 itz Exp $ */

#include <gtk--/dialog.h>
#include <string>

namespace Gtk {
  class Entry;
}

class search_dialog : public Gtk::Dialog {
public:
  search_dialog(const char* search_string);

  enum buttons { find_first, find_next, cancel };
  buttons get_button();
  const char* get_result();

private:
  void find_first_handler();
  void find_next_handler();
  void cancel_handler();
  Gtk::Entry* p_entry;
  string result;
  buttons button;
};

#endif INCLUDE_SEARCH_DIALOG_HH
